################################################################################################
############################################# MQTT #############################################
################################################################################################
mqtt:
  # Optional: Enable mqtt server (default: shown below)
  enabled: true
  # Required: host name
  host: 192.168.1.210
  # Optional: port (default: shown below)
  port: 1890
  # Optional: topic prefix (default: shown below)
  # NOTE: must be unique if you are running multiple instances
  # topic_prefix: frigate
  # Optional: client id (default: shown below)
  # NOTE: must be unique if you are running multiple instances
  # client_id: frigate
  # Optional: user
  # NOTE: MQTT user can be specified with an environment variable or docker secrets that must begin with 'FRIGATE_'.
  #       e.g. user: '{FRIGATE_MQTT_USER}'
  # user: mqtt_user
  # Optional: password
  # NOTE: MQTT password can be specified with an environment variable or docker secrets that must begin with 'FRIGATE_'.
  #       e.g. password: '{FRIGATE_MQTT_PASSWORD}'
  # password: password

################################################################################################
########################################### Detector ###########################################
################################################################################################
# Optional: Detectors configuration. Defaults to a single CPU detector
detectors:
  ov:
    type: openvino
    device: AUTO
    model:
      path: /openvino-model/ssdlite_mobilenet_v2.xml

################################################################################################
########################################### Database ###########################################
################################################################################################
# Optional: Database configuration
database:
  # The path to store the SQLite DB (default: shown below)
  path: /config/frigate.db


################################################################################################
############################################ Model #############################################
################################################################################################
# Optional: model modifications
model:
  # Required: Object detection model input width (default: shown below)
  width: 300
  # Required: Object detection model input height (default: shown below)
  height: 300
  input_tensor: nhwc
  input_pixel_format: bgr
  labelmap_path: /openvino-model/coco_91cl_bkgr.txt


################################################################################################
############################################ Audio #############################################
################################################################################################
# Optional: Audio Events Configuration
# NOTE: Can be overridden at the camera level
audio:
  # Optional: Enable audio events (default: shown below)
  enabled: false
  # Optional: Configure the amount of seconds without detected audio to end the event (default: shown below)
  max_not_heard: 30
  # Optional: Configure the min rms volume required to run audio detection (default: shown below)
  # As a rule of thumb:
  #  - 200 - high sensitivity
  #  - 500 - medium sensitivity
  #  - 1000 - low sensitivity
  min_volume: 500
  # Optional: Types of audio to listen for (default: shown below)
  listen:
    - bark
    - fire_alarm
    - scream
    - speech
    - yell
  # Optional: Filters to configure detection.
  filters:
    # Label that matches label in listen config.
    speech:
      # Minimum score that triggers an audio event (default: shown below)
      threshold: 0.8


################################################################################################
########################################### Logger #############################################
################################################################################################
# Optional: logger verbosity settings
logger:
  # Optional: Default log verbosity (default: shown below)
  default: info
  # Optional: Component specific logger overrides
  logs:
    frigate.event: info

################################################################################################
########################################### ENV-VARs ###########################################
################################################################################################
# Optional: set environment variables
environment_vars:
  EXAMPLE_VAR: value

################################################################################################
########################################### Birdseye ###########################################
################################################################################################
# Optional: birdseye configuration
# NOTE: Can (enabled, mode) be overridden at the camera level
birdseye:
  # Optional: Enable birdseye view (default: shown below)
  enabled: true
  # Optional: Restream birdseye via RTSP (default: shown below)
  # NOTE: Enabling this will set birdseye to run 24/7 which may increase CPU usage somewhat.
  restream: false
  # Optional: Width of the output resolution (default: shown below)
  width: 2304
  # Optional: Height of the output resolution (default: shown below)
  height: 1296
  # Optional: Encoding quality of the mpeg1 feed (default: shown below)
  # 1 is the highest quality, and 31 is the lowest. Lower quality feeds utilize less CPU resources.
  quality: 1
  # Optional: Mode of the view. Available options are: objects, motion, and continuous
  #   objects - cameras are included if they have had a tracked object within the last 30 seconds
  #   motion - cameras are included if motion was detected in the last 30 seconds
  #   continuous - all cameras are included always
  mode: continuous
  # Optional: Threshold for camera activity to stop showing camera (default: shown below)
  inactivity_threshold: 15
  # Optional: Configure the birdseye layout
  layout:
    # Optional: Scaling factor for the layout calculator (default: shown below)
    scaling_factor: 3.0
    # Optional: Maximum number of cameras to show at one time, showing the most recent (default: show all cameras)
    # max_cameras: 2

################################################################################################
############################################ FFMPEG ############################################
################################################################################################
# Optional: ffmpeg configuration
# More information about presets at https://docs.frigate.video/configuration/ffmpeg_presets
ffmpeg:
  # Optional: global ffmpeg args (default: shown below)
  # global_args: -hide_banner -loglevel warning -threads 2
  # Optional: global hwaccel args (default: shown below)
  # NOTE: See hardware acceleration docs for your specific device
  hwaccel_args: preset-vaapi
  # Optional: global input args (default: shown below)
  input_args: preset-rtsp-generic
  # Optional: global output args
  output_args:
    # Optional: output args for detect streams (default: shown below)
    # detect: -threads 2 -f rawvideo -pix_fmt yuv420p
    # Optional: output args for record streams (default: shown below)
    record: preset-record-generic-audio-copy
    # Optional: output args for rtmp streams (default: shown below)
    # rtmp: preset-rtmp-generic
  # Optional: Time in seconds to wait before ffmpeg retries connecting to the camera. (default: shown below)
  # If set too low, frigate will retry a connection to the camera's stream too frequently, using up the limited streams some cameras can allow at once
  # If set too high, then if a ffmpeg crash or camera stream timeout occurs, you could potentially lose up to a maximum of retry_interval second(s) of footage
  # NOTE: this can be a useful setting for Wireless / Battery cameras to reduce how much footage is potentially lost during a connection timeout.
  retry_interval: 10

################################################################################################
############################################ DETECT ############################################
################################################################################################
# Optional: Detect configuration
# NOTE: Can be overridden at the camera level
detect:
  # Optional: enables detection for the camera (default: True)
  enabled: true
  # Optional: width of the frame for the input with the detect role (default: use native stream resolution)
  width: 1920
  # Optional: height of the frame for the input with the detect role (default: use native stream resolution)
  height: 1080
  # Optional: desired fps for your camera for the input with the detect role (default: shown below)
  # NOTE: Recommended value of 5. Ideally, try and reduce your FPS on the camera.
  fps: 5
  # Optional: Number of consecutive detection hits required for an object to be initialized in the tracker. (default: 1/2 the frame rate)
  min_initialized: 2
  # Optional: Number of frames without a detection before Frigate considers an object to be gone. (default: 5x the frame rate)
  max_disappeared: 25
  # Optional: Configuration for stationary object tracking
  stationary:
    # Optional: Frequency for confirming stationary objects (default: same as threshold)
    # When set to 1, object detection will run to confirm the object still exists on every frame.
    # If set to 10, object detection will run to confirm the object still exists on every 10th frame.
    interval: 50
    # Optional: Number of frames without a position change for an object to be considered stationary (default: 10x the frame rate or 10s)
    threshold: 50
    # Optional: Define a maximum number of frames for tracking a stationary object (default: not set, track forever)
    # This can help with false positives for objects that should only be stationary for a limited amount of time.
    # It can also be used to disable stationary object tracking. For example, you may want to set a value for person, but leave
    # car at the default.
    # WARNING: Setting these values overrides default behavior and disables stationary object tracking.
    #          There are very few situations where you would want it disabled. It is NOT recommended to
    #          copy these values from the example config into your config unless you know they are needed.
    # max_frames:
      # Optional: Default for all object types (default: not set, track forever)
      # default: 3000
      # Optional: Object specific values
      # objects:
        # person: 1000
  # Optional: Milliseconds to offset detect annotations by (default: shown below).
  # There can often be latency between a recording and the detect process,
  # especially when using separate streams for detect and record.
  # Use this setting to make the timeline bounding boxes more closely align
  # with the recording. The value can be positive or negative.
  # TIP: Imagine there is an event clip with a person walking from left to right.
  #      If the event timeline bounding box is consistently to the left of the person
  #      then the value should be decreased. Similarly, if a person is walking from
  #      left to right and the bounding box is consistently ahead of the person
  #      then the value should be increased.
  # TIP: This offset is dynamic so you can change the value and it will update existing
  #      events, this makes it easy to tune.
  # WARNING: Fast moving objects will likely not have the bounding box align.
  annotation_offset: 0

################################################################################################
############################################ Motion ############################################
################################################################################################
# Optional: Motion configuration
# NOTE: Can be overridden at the camera level
motion:
  # Optional: The threshold passed to cv2.threshold to determine if a pixel is different enough to be counted as motion. (default: shown below)
  # Increasing this value will make motion detection less sensitive and decreasing it will make motion detection more sensitive.
  # The value should be between 1 and 255.
  threshold: 30
  # Optional: The percentage of the image used to detect lightning or other substantial changes where motion detection
  #           needs to recalibrate. (default: shown below)
  # Increasing this value will make motion detection more likely to consider lightning or ir mode changes as valid motion.
  # Decreasing this value will make motion detection more likely to ignore large amounts of motion such as a person approaching
  # a doorbell camera.
  lightning_threshold: 0.8
  # Optional: Minimum size in pixels in the resized motion image that counts as motion (default: shown below)
  # Increasing this value will prevent smaller areas of motion from being detected. Decreasing will
  # make motion detection more sensitive to smaller moving objects.
  # As a rule of thumb:
  #  - 10 - high sensitivity
  #  - 30 - medium sensitivity
  #  - 50 - low sensitivity
  contour_area: 10
  # Optional: Alpha value passed to cv2.accumulateWeighted when averaging frames to determine the background (default: shown below)
  # Higher values mean the current frame impacts the average a lot, and a new object will be averaged into the background faster.
  # Low values will cause things like moving shadows to be detected as motion for longer.
  # https://www.geeksforgeeks.org/background-subtraction-in-an-image-using-concept-of-running-average/
  # frame_alpha: 0.01
  # Optional: Height of the resized motion frame  (default: 100)
  # Higher values will result in more granular motion detection at the expense of higher CPU usage.
  # Lower values result in less CPU, but small changes may not register as motion.
  # frame_height: 100
  # Optional: motion mask
  # NOTE: see docs for more detailed info on creating masks
  # mask: 0,900,1080,900,1080,1920,0,1920
  # Optional: improve contrast (default: shown below)
  # Enables dynamic contrast improvement. This should help improve night detections at the cost of making motion detection more sensitive
  # for daytime.
  improve_contrast: true
  # Optional: Delay when updating camera motion through MQTT from ON -> OFF (default: shown below).
  # mqtt_off_delay: 30

################################################################################################
############################################ Record ############################################
################################################################################################
# Optional: Record configuration
# NOTE: Can be overridden at the camera level
record:
  # Optional: Enable recording (default: shown below)
  # WARNING: If recording is disabled in the config, turning it on via
  #          the UI or MQTT later will have no effect.
  enabled: true
  # Optional: Number of minutes to wait between cleanup runs (default: shown below)
  # This can be used to reduce the frequency of deleting recording segments from disk if you want to minimize i/o
  expire_interval: 60
  # Optional: Sync recordings with disk on startup and once a day (default: shown below).
  sync_recordings: true
  # Optional: Retention settings for recording
  retain:
    # Optional: Number of days to retain recordings regardless of events (default: shown below)
    # NOTE: This should be set to 0 and retention should be defined in events section below
    #       if you only want to retain recordings of events.
    days: 0
    # Optional: Mode for retention. Available options are: all, motion, and active_objects
    #   all - save all recording segments regardless of activity
    #   motion - save all recordings segments with any detected motion
    #   active_objects - save all recording segments with active/moving objects
    # NOTE: this mode only applies when the days setting above is greater than 0
    mode: all
  # Optional: Recording Export Settings
  export:
    # Optional: Timelapse Output Args (default: shown below).
    # NOTE: The default args are set to fit 24 hours of recording into 1 hour playback.
    # See https://stackoverflow.com/a/58268695 for more info on how these args work.
    # As an example: if you wanted to go from 24 hours to 30 minutes that would be going
    # from 86400 seconds to 1800 seconds which would be 1800 / 86400 = 0.02.
    # The -r (framerate) dictates how smooth the output video is.
    # So the args would be -vf setpts=0.02*PTS -r 30 in that case.
    timelapse_args: "-vf setpts=0.04*PTS -r 30"
  # Optional: Event recording settings
  events:
    # Optional: Number of seconds before the event to include (default: shown below)
    pre_capture: 5
    # Optional: Number of seconds after the event to include (default: shown below)
    post_capture: 5
    # Optional: Objects to save recordings for. (default: all tracked objects)
    objects:
      - person
    # Optional: Restrict recordings to objects that entered any of the listed zones (default: no required zones)
    required_zones: []
    # Optional: Retention settings for recordings of events
    retain:
      # Required: Default retention days (default: shown below)
      default: 1
      # Optional: Mode for retention. (default: shown below)
      #   all - save all recording segments for events regardless of activity
      #   motion - save all recordings segments for events with any detected motion
      #   active_objects - save all recording segments for event with active/moving objects
      #
      # NOTE: If the retain mode for the camera is more restrictive than the mode configured
      #       here, the segments will already be gone by the time this mode is applied.
      #       For example, if the camera retain mode is "motion", the segments without motion are
      #       never stored, so setting the mode to "all" here won't bring them back.
      mode: motion
      # Optional: Per object retention days
      objects:
        person: 1
        car: 0

################################################################################################
########################################### Snapshots ##########################################
################################################################################################
# Optional: Configuration for the jpg snapshots written to the clips directory for each event
# NOTE: Can be overridden at the camera level
snapshots:
  # Optional: Enable writing jpg snapshot to /media/frigate/clips (default: shown below)
  enabled: true
  # Optional: save a clean PNG copy of the snapshot image (default: shown below)
  clean_copy: true
  # Optional: print a timestamp on the snapshots (default: shown below)
  timestamp: true
  # Optional: draw bounding box on the snapshots (default: shown below)
  bounding_box: true
  # Optional: crop the snapshot (default: shown below)
  crop: false
  # Optional: height to resize the snapshot to (default: original size)
  # height: 175
  # Optional: Restrict snapshots to objects that entered any of the listed zones (default: no required zones)
  # required_zones: []
  # Optional: Camera override for retention settings (default: global values)
  retain:
    # Required: Default retention days (default: shown below)
    default: 7
    # Optional: Per object retention days
    objects:
      person: 10
      car: 7
  # Optional: quality of the encoded jpeg, 0-100 (default: shown below)
  quality: 100


################################################################################################
########################################## Timestamp ###########################################
################################################################################################
# Optional: in-feed timestamp style configuration
# NOTE: Can be overridden at the camera level
timestamp_style:
  # Optional: Position of the timestamp (default: shown below)
  #           "tl" (top left), "tr" (top right), "bl" (bottom left), "br" (bottom right)
  position: tr
  # Optional: Format specifier conform to the Python package "datetime" (default: shown below)
  #           Additional Examples:
  #             german: "%d.%m.%Y %H:%M:%S"
  format: '%d.%m.%Y %H:%M:%S'
  # Optional: Color of font
  color:
    # All Required when color is specified (default: shown below)
    red: 255
    green: 255
    blue: 255
  # Optional: Line thickness of font (default: shown below)
  thickness: 2
  # Optional: Effect of lettering (default: shown below)
  #           None (No effect),
  #           "solid" (solid background in inverse color of font)
  #           "shadow" (shadow for font)
  effect: shadow

################################################################################################
######################################## User-Interface ########################################
################################################################################################
# Optional
ui:
  # Optional: Set the default live mode for cameras in the UI (default: shown below)
  live_mode: webrtc
  # Optional: Set a timezone to use in the UI (default: use browser local time)
  # timezone: America/Denver
  # Optional: Use an experimental recordings / camera view UI (default: shown below)
  use_experimental: false
  # Optional: Set the time format used.
  # Options are browser, 12hour, or 24hour (default: shown below)
  time_format: browser
  # Optional: Set the date style for a specified length.
  # Options are: full, long, medium, short
  # Examples:
  #    short: 2/11/23
  #    medium: Feb 11, 2023
  #    full: Saturday, February 11, 2023
  # (default: shown below).
  date_style: short
  # Optional: Set the time style for a specified length.
  # Options are: full, long, medium, short
  # Examples:
  #    short: 8:14 PM
  #    medium: 8:15:22 PM
  #    full: 8:15:22 PM Mountain Standard Time
  # (default: shown below).
  time_style: medium
  # Optional: Ability to manually override the date / time styling to use strftime format
  # https://www.gnu.org/software/libc/manual/html_node/Formatting-Calendar-Time.html
  # possible values are shown above (default: not set)
  strftime_fmt: '%d/%m/%Y %H:%M'

################################################################################################
############################################ Go2RTC ############################################
################################################################################################
go2rtc:
  streams:
    go2rtc_Eingang:
    - tapo://admin:7AA7D570BB74FB56E7B3BFD406B5146EDAFD62AB5E5708ADA0F3382514EDC344@192.168.1.48
    - "ffmpeg:go2rtc_Eingang#audio=opus"     # <- copy of the stream which transcodes audio to opus for webrtc
    go2rtc_Sued-Ost:
    - tapo://admin:7AA7D570BB74FB56E7B3BFD406B5146EDAFD62AB5E5708ADA0F3382514EDC344@192.168.1.85
    - "ffmpeg:go2rtc_Sued-Ost#audio=opus"     # <- copy of the stream which transcodes audio to opus for webrtc
  webrtc:
    candidates:
    - 192.168.1.12:8555
    - stun:8555
  homekit:
    go2rtc_Eingang:
      pin: 19550224
      name: Kamera Eingang
      device_id: go2rtc_Eingang
      device_private: go2rtc_Eingang
    go2rtc_Sued-Ost:
      pin: 19550224
      name: Kamera Sued-Ost
      device_id: go2rtc_Sued-Ost
      device_private: go2rtc_Sued-Ost

################################################################################################
############################################ KAMERAS ###########################################
################################################################################################
cameras:
  ########################################################
  #    Eingang - TP-Link Tapo C210 PTZ - 2304x1296px     #
  ########################################################
  Eingang:
    enabled: true
    ffmpeg:
      output_args:
        record: preset-record-generic-audio-copy
      inputs:
      # High Resolution Stream (Recording/Streaming stream)
      #- path: rtsp://iobroker:ixijannik@192.168.1.48:554/stream1
      - path: rtsp://127.0.0.1:8554/go2rtc_Eingang
        input_args: preset-rtsp-restream
        # Required: list of roles for this stream. valid values are: audio,detect,record,rtmp
        # NOTICE: In addition to assigning the audio, record, and rtmp roles,
        # they must also be enabled in the camera config.
        roles:
          - audio
          - detect
          - record

    record:
      enabled: true
    
    # Optional: timeout for highest scoring image before allowing it
    # to be replaced by a newer image. (default: shown below)
    best_image_timeout: 60

    # Optional: URL to visit the camera web UI directly from the system page. Might not be available on every camera.
    webui_url: "http://192.168.1.12:5000/api/Eingang?fps=30&h=1296&timestamp=1&zones=1&bbox=1&motion=1&regions=1"

    onvif:
      host: 192.168.1.48
      port: 2020
      user: iobroker
      password: ixijannik
      autotracking:
        # Optional: enable/disable object autotracking. (default: shown below)
        enabled: false
        # Optional: calibrate the camera on startup (default: shown below)
        # A calibration will move the PTZ in increments and measure the time it takes to move.
        # The results are used to help estimate the position of tracked objects after a camera move.
        # Frigate will update your config file automatically after a calibration with
        # a "movement_weights" entry for the camera. You should then set calibrate_on_startup to False.
        calibrate_on_startup: false
        # Optional: the mode to use for zooming in/out on objects during autotracking. (default: shown below)
        # Available options are: disabled, absolute, and relative
        #   disabled - don't zoom in/out on autotracked objects, use pan/tilt only
        #   absolute - use absolute zooming (supported by most PTZ capable cameras)
        #   relative - use relative zooming (not supported on all PTZs, but makes concurrent pan/tilt/zoom movements)
        zooming: disabled
        # Optional: A value to change the behavior of zooming on autotracked objects. (default: shown below)
        # A lower value will keep more of the scene in view around a tracked object.
        # A higher value will zoom in more on a tracked object, but Frigate may lose tracking more quickly.
        # The value should be between 0.1 and 0.75
        zoom_factor: 0.3
        # Optional: list of objects to track from labelmap.txt (default: shown below)
        track:
          - person
        # Required: Begin automatically tracking an object when it enters any of the listed zones.
        required_zones:
          - Zone_Eingang
          - Zone_Hof-Einfahrt
        # Required: Name of ONVIF preset in camera's firmware to return to when tracking is over. (default: shown below)
        return_preset: preset2
        # Optional: Seconds to delay before returning to preset. (default: shown below)
        timeout: 10
        # Optional: Values generated automatically by a camera calibration. Do not modify these manually. (default: shown below)
        # movement_weights: []

    live:
     # Optional: Set the name of the stream that should be used for live view
     # in frigate WebUI. (default: name of camera)
      stream_name: go2rtc_Eingang
     # Optional: Set the height of the jsmpeg stream. (default: 720)
     # This must be less than or equal to the height of the detect stream. Lower resolutions
     # reduce bandwidth required for viewing the jsmpeg stream. Width is computed to match known aspect ratio.
      height: 1296
     # Optional: Set the encode quality of the jsmpeg stream (default: shown below)
     # 1 is the highest quality, and 31 is the lowest. Lower quality feeds utilize less CPU resources.
      quality: 1

    detect:
      enabled: true
      width: 2304
      height: 1296
      fps: 5

    birdseye:
      order: 1

    objects:
      track:
      - person
      - car
      - bicycle
      - motorcycle
      - dog
      - cat
      - bus
      - horse

    motion:
      mask:
      - 0,310,164,254,314,205,437,164,578,128,574,100,465,83,342,70,250,56,245,0,0,0
      - 459,302,459,368,467,468,495,552,475,641,478,708,431,720,388,748,378,822,437,886,535,847,542,924,575,1006,625,977,698,942,689,872,698,803,689,753,686,692,672,639,659,595,658,545,643,486,631,448,621,404,631,344,606,305,593,264,551,231,501,221,472,254
      - 1110,632,1220,598,1260,541,1288,475,1294,394,1263,340,1215,285,1136,251,1070,250,994,254,910,275,867,312,846,354,832,422,857,494,894,564,977,622

    zones:
      Zone_Eingang:
        coordinates: 
          213,1296,1763,1296,2054,960,2091,970,2113,886,1933,663,1943,585,1859,556,1645,722,1536,797,1424,723,1427,555,1250,552,1171,622,1050,619,936,602,789,588,671,633,203,807,156,696,127,579,78,593,36,458,23,917
        # Optional: Number of consecutive frames required for object to be considered present in the zone (default: shown below).
        # inertia: 3
        # Optional: List of objects that can trigger this zone (default: all tracked objects)
        objects:
        - person
        filters:
          person:
            min_area: 5000
            max_area: 100000
            threshold: 0.7

      Zone_Hof-Einfahrt:
        coordinates: 
          1862,268,1738,287,1638,305,1512,321,1437,337,1437,457,1837,592,1847,512,1879,482,1967,506,1949,646,2113,853,2194,899,2151,1004,2304,1070,2304,481,2210,368,2116,271,2013,253
      Zone_KiGa-Gehweg:
        coordinates: 
          57,260,578,104,525,93,317,60,317,14,688,61,758,70,812,91,847,136,863,184,847,227,819,255,760,280,669,307,103,484,87,407
        # Optional: Number of consecutive frames required for object to be considered present in the zone (default: shown below).
        inertia: 3
        # Optional: List of objects that can trigger this zone (default: all tracked objects)
        objects:
        - person
        - bicycle
      Zone_Straße-Am-Oberen-Tor:
        coordinates:
          382,394,569,335,675,304,743,287,783,264,833,238,859,203,867,160,836,124,785,103,705,90,611,78,389,56,243,41,243,0,387,0,541,13,740,26,927,44,1180,77,1529,111,1703,124,1818,137,1943,167,2191,240,2184,290,2120,268,2016,247,1907,251,1802,265,1623,297,1469,328,1337,354,1287,360,1273,312,1221,298,1151,265,1100,251,1031,253,972,261,920,280,875,312,856,351,852,442,669,501,481,556,421,579,228,658,217,601,144,626,113,555,93,482
        # Optional: Number of consecutive frames required for object to be considered present in the zone (default: shown below).
        inertia: 3
        # Optional: List of objects that can trigger this zone (default: all tracked objects)
        objects:
        - car
        - person
        - bicycle
        - motorcycle

  ########################################################
  #      Sued-Ost - TP-Link Tapo C110 - 2304x1296px      #
  ########################################################
  Sued-Ost:
    enabled: true
    ffmpeg:
      output_args:
        record: preset-record-generic-audio-copy
      inputs:
      # High Resolution Stream
      #- path: rtsp://iobroker:ixijannik@192.168.1.85:554/stream1
      - path: rtsp://127.0.0.1:8554/go2rtc_Sued-Ost
        input_args: preset-rtsp-restream
        # Required: list of roles for this stream. valid values are: audio,detect,record,rtmp
        # NOTICE: In addition to assigning the audio, record, and rtmp roles,
        # they must also be enabled in the camera config.
        roles:
          - audio
          - detect
          - record
        
    record:
      enabled: false

    # Optional: timeout for highest scoring image before allowing it
    # to be replaced by a newer image. (default: shown below)
    best_image_timeout: 60

    # Optional: URL to visit the camera web UI directly from the system page. Might not be available on every camera.
    webui_url: "http://192.168.1.12:5000/api/Sued-Ost?fps=30&h=1296&timestamp=1&zones=1&bbox=1&motion=1&regions=1"

    live:
      # Optional: Set the name of the stream that should be used for live view
      # in frigate WebUI. (default: name of camera)
      stream_name: go2rtc_Sued-Ost
      # Optional: Set the height of the jsmpeg stream. (default: 720)
      # This must be less than or equal to the height of the detect stream. Lower resolutions
      # reduce bandwidth required for viewing the jsmpeg stream. Width is computed to match known aspect ratio.
      height: 1296
      # Optional: Set the encode quality of the jsmpeg stream (default: shown below)
      # 1 is the highest quality, and 31 is the lowest. Lower quality feeds utilize less CPU resources.
      quality: 1

    detect:
      enabled: true
      width: 2304
      height: 1296
      fps: 5

    birdseye:
      order: 2

    objects:
      track:
      - person
      - car
      - bicycle
      - motorcycle
      - dog
      - cat
      - bus
      - horse

    motion:
      mask:
      - 959,927,1047,913,1111,899,1151,886,1184,873,1211,859,1220,826,1191,806,1160,775,1157,729,1123,690,1087,666,1086,571,1084,0,591,0,0,0,0,496,29,516,31,458,161,464,163,498,34,502,0,506,0,689,93,732,217,766,213,681,344,659,341,690,405,692,412,742,362,778,369,825,602,886,748,917,847,930
      - 0,1296,649,1296,382,1161,322,1120,320,1070,195,994,127,949,74,907,54,805,43,688,0,643
      - 2304,0,2304,785,2304,341,2304,1296,2174,1296,1953,1296,1631,1039,1711,1027,1776,996,1812,973,1847,954,1916,972,1949,946,1982,929,1992,904,1990,886,1832,857,1666,827,1541,749,1541,709,1502,706,1457,703,1415,702,1360,698,1264,678,1183,658,1071,646,1067,0

    zones:
      Zone_Hof-Einfahrt:
        coordinates: 
          1882,1296,1278,1296,1451,1071,1498,1031,1589,1016,1721,1016,1675,1057,1606,1060,1783,1205
      Zone_Gehweg-Pusteblume:
        coordinates: 
          409,743,358,776,360,809,526,850,705,885,787,899,869,894,977,876,980,843,1003,793,1158,792,1164,766,1168,743,1217,780,1283,830,1294,859,1271,896,1203,927,1137,946,1059,960,967,972,865,973,749,966,561,927,418,889,315,860,137,797,51,756,49,698,224,718,340,683,414,686
      Zone_KiGa-Gehweg:
        coordinates: 78,942,271,1083,499,1225,505,1166,452,1070,360,1003,228,946,131,896,63,859
      Zone_Straße-Gesamt:
        coordinates: 
          127,790,312,859,683,949,869,970,1036,962,1170,944,1273,889,1301,847,1158,736,1161,668,1261,709,1532,725,1538,752,1461,763,1427,790,1498,827,1628,867,1896,943,1812,973,1702,1001,1594,1010,1514,1024,1275,1296,668,1296,508,1215,506,1143,414,1027,173,909,61,833,51,746
      Zone_Straße-Am-Oberen-Tor:
        coordinates: 
          127,790,240,839,418,893,612,943,722,966,877,982,1027,966,1170,944,1281,894,1300,860,1341,886,1400,912,1478,946,1574,977,1695,1014,1586,1020,1511,1033,1439,1083,1370,1176,1275,1296,668,1296,508,1215,506,1143,414,1027,203,927,71,856,51,746
      Zone_Straße-Haupt:
        coordinates: 
          1745,914,1916,963,1843,973,1756,986,1722,1009,1538,944,1417,896,1291,840,1163,740,1156,668,1281,725,1435,796,1505,832
      Zone_Straße-Am-Damm:
        coordinates: 1538,729,1538,749,1422,778,1253,705

################################################################################################
########################################### Telemetry ##########################################
################################################################################################
# Optional: Telemetry configuration
telemetry:
  # Optional: Enabled network interfaces for bandwidth stats monitoring (default: empty list, let nethogs search all)
  #network_interfaces:
    #- eth
    #- enp
    #- eno
    #- ens
    #- wl
    #- lo
  # Optional: Configure system stats
  stats:
    # Enable AMD GPU stats (default: shown below)
    amd_gpu_stats: false
    # Enable Intel GPU stats (default: shown below)
    intel_gpu_stats: true
    # Enable network bandwidth stats monitoring for camera ffmpeg processes, go2rtc, and object detectors. (default: shown below)
    # NOTE: The container must either be privileged or have cap_net_admin, cap_net_raw capabilities enabled.
    network_bandwidth: true
  # Optional: Enable the latest version outbound check (default: shown below)
  # NOTE: If you use the HomeAssistant integration, disabling this will prevent it from reporting new versions
  version_check: true